#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service replace_using_package_version

Name:           obs-service-%{service}
Version:        0.0.9
Release:        1.3
Summary:        An OBS service: Replaces a regex  with the version value of a package
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/obs-service-%{service}
Source0:        %{service}.py
Source1:        %{service}.service
Source2:        LICENSE
BuildRequires:  sed
Requires:       python3-docopt
Requires:       python3-rpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This service replaces a given regex with the version value of
a given package. Can be used to align the version of you package or image
to the version of another package.

%prep
cp %{S:0} .
cp %{S:1} .
cp %{S:2} .

%build
sed -i "s|#!/usr/bin/env python3|#!/usr/bin/python3|g" %{service}.py

%install

install -D -m 755 %{service}.py %{buildroot}%{_prefix}/lib/obs/service/%{service}
install -D -m 644 %{service}.service %{buildroot}%{_prefix}/lib/obs/service/%{service}.service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%{_prefix}/lib/obs/service
%license LICENSE

%changelog
* Wed Dec 13 2023 containers@suse.com
- Update to version 1702495728.72fe58b:
  * Bump version: 0.0.8 → 0.0.9
  * Bump actions/setup-python from 4.8.0 to 5.0.0
  * Bump actions/setup-python from 4.7.1 to 4.8.0
  * Workaround integration test failures due to PEP 668 marker
  * Bump actions/setup-python from 4.6.1 to 4.7.1
  * Bump actions/checkout from 3 to 4
  * Report the package name that is missing (#56)
  * Bump pytest-container from 0.1.1 to 0.2.0
  * Drop mock dependency, stdlib has it
  * Bump actions/setup-python from 4.6.0 to 4.6.1
  * Bump actions/setup-python from 4.5.0 to 4.6.0
  * Bump version: 0.0.7 → 0.0.8
* Tue Apr 11 2023 containers@suse.com
- Update to version 1681202780.6d8bb3c:
  * Run unit & install test only for the system python
  * Add python 3.11 tox environment
  * Switch to using rpm.labelCompare instead of parse_version
  * Fix copyright strings
  * Fix test_find_package_version
  * Bump mock from 4.0.3 to 5.0.1
  * Bump pytest-xdist from 2.5.0 to 3.0.2
  * Bump tox from 3.25.1 to 3.28.0
  * Bump Gr1N/setup-poetry from 7 to 8
  * Bump pytest-container from 0.0.2 to 0.1.1
  * Bump actions/setup-python from 4.3.0 to 4.5.0
* Thu Mar 30 2023 containers@suse.com
- Update to version 1680160876.6dcaef0:
  * Bump version: 0.0.6 → 0.0.7
  * Fix default value for empty or missing version
  * Bump flake8 from 5.0.1 to 5.0.4
* Thu Nov 10 2022 containers@suse.com
- Update to version 1668090256.71deb28:
  * Bump version: 0.0.5 → 0.0.6
  * Link to the official poetry installation guide
  * Update replace_using_package_version.service
  * Update README.md
  * Update README.md
  * Update README.md
  * Update integration_tests/test_version_extraction.py
  * Update replace_using_package_version.service
  * Attempt to read version from obsinfo if no version is found
  * Add Leap 15.4 & SLE 15 SP4 to the CI
* Thu Nov 10 2022 containers@suse.com
- Update to version 1668085498.ab6de1e:
  * Bump version: 0.0.4 → 0.0.5
  * Remove the rpm signkeys in the CI environment
  * Adapt tests to mock subprocess.check_output
  * Ignore stderr on successful command executions
* Wed Nov  9 2022 containers@suse.com
- Update to version 1667988064.d72b7ba:
  * Bump version: 0.0.3 → 0.0.4
  * Update obs-service-replace_using_package_version.spec
  * Adapt spec to the current project setup
  * Bump actions/setup-python from 4.1.0 to 4.3.0
  * Bump actions/setup-python from 3 to 4.1.0
  * Bump pytest-cov from 3.0.0 to 4.0.0
  * Bump flake8 from 4.0.1 to 5.0.1
  * Bump tox from 3.25.0 to 3.25.1
  * Bump tox from 3.24.5 to 3.25.0
  * Bump actions/cache from 2 to 3
  * Bump actions/checkout from 2 to 3
  * Bump actions/setup-python from 2 to 3
  * Bump pytest from 7.0.0 to 7.0.1
  * Bump pytest from 6.2.5 to 7.0.0
  * Switch from custom run_command to using check_output
  * Remove additional space from pyproject.toml
  * Replace travis CI badge with GitHub Actions badge
  * Make the file parameter default to the build recipe
  * Add integration tests using pytest_container
  * Bump coverage from 6.3 to 6.3.1
  * Switch from travis-ci to github actions
  * Remove trailing whitespace
  * Switch to poetry instead of using setup.py
  * Correct spelling & gramar in .service
  * Add missing closing description element to .service
  * Follow the python package naming conventions
* Tue Jun 25 2019 containers@suse.com
- Update to version 1561476096.079b75f:
  * Bump version: 0.0.2 → 0.0.3
  * new patch_update and offset parameters (bsc#1139343)
* Tue Oct  9 2018 containers@suse.com
- Update to version 1539069197.d0e12bd:
  * Bump version: 0.0.1 → 0.0.2
  * Add bumpversion support
  * Add the `--parse-version` flag (fixes bsc#1111089)
  * Add a simple example in README.md
  * Adjusting readme and tests code style
* Tue Mar 20 2018 containers@suse.com
- Update to version 1521565666.36ea78a:
  * Minor changes
* Tue Mar 20 2018 containers@suse.com
- Update to version 1521564356.3457a22:
  * Remove makefile
  * Include LICENSE file into the RPM package
  * Update changes log format
  * Add GPLv3 License
  * Improve README
  * check rpm db of installed packages first
  * Adding simple changelog generator
  * Update installation strategy
  * Fix ./setup.py install
  * Adding travis.yml file
